#pragma once

#include "containers.h"
#include "machine.h"

namespace NRtyInfraTests {

    class TWrapper {
    public:
        TWrapper();
        int Main(int argc, char **argv);
    private:
        void ProcessArg(int argc, char **argv);
        void ParseScript();
        void Run();
    private:
        TString ScriptPath;
        TScriptData ScriptContainer;
        TMachine Machine;
    };
}
